Перемещение модели

Автор Тема: Перемещение модели  (Прочитано 79 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн VladislavАвтор темы

  • ADN OPEN
  • **
  • Сообщений: 82
  • Карма: 0
Перемещение модели
« : 08-10-2019, 14:33:35 »
Добрый день.
Скажите пожалуйста, есть ли способ сместить всю модель на определенный вектор,
кроме как с последовательным использованием Element.Location.Move для каждого элемента?
При использовании этого способа возникают проблемы с зависимостями и лезут сообщения об ошибках.
Спасибо за ответы.

Оффлайн Александр Игнатович

  • Administrator
  • *****
  • Сообщений: 600
  • Карма: 207
  • Skype: alexandr.ignatovich.itc
Re: Перемещение модели
« Ответ #1 : 08-10-2019, 14:44:47 »
Вам нужен метод ElementTransformUtils.MoveElements, тогда, если между элементами зависимости, то всё равно, должно подвинуться. Перед запуском стоит проверить, нет ли среди элементов закрепленных, а так же, собственно, перечень элементов.

Ошибки, всё равно, вероятно, будут, где-то размеры могут сломаться, высотные отметки и т.д. Вопрос в количестве, тут уж придется в каждом конкретном случае разбираться